yodlconverters(7)

NAME
yodl2... - miscellaneous Yodl converters

SYNOPSIS

yodl2... [OPTION]... FILE

DESCRIPTION

This manual page describes the various shell scripts that convert documents in the Yodl language to other formats. The basic converters are:

o   yodl2html(1): converts to HTML, writes a file with the extension .html.

o   yodl2man(1): converts to nroff `man’ format, writes .man. Can be further processed with e.g. nroff -Tascii -man file.man.

o   yodl2latex(1): converts to LaTeX output, writes .latex. Can be further processed with, e.g., latex file.latex.

o   yodl2txt(1): converts to plain ASCII, writes .txt. This is a very rudimentary converter, a last-resort.

OPTIONS

The options are identical to those of the yodl(1) program.

Additionally, the following options are available:

o   `--no-warnings’:
    By default the converters call yodl(1) using the `-w’ flag. The option `--no-warnings’ suppresses this flag.

o   `--intermediate=<filename>’:
    By default, files used for the communication between yodl and yodlpost are removed following the conversion. The `--intermediate=<filename>’ option may be provided to retain these files, called `<filename>’ and `<filename>.idx’.

FILES

Each yodl2format converter requires a file format.yo in Yodl’s include path (e.g., `tmp/wip/macros’). This file is auto-loaded before `FILE’ (see the synopsis) is loaded, to make the conversion to format possible.

The output is written to one or more files having the extension .format.

SEE ALSO

yodl(1), yodlbuiltins(7), yodlletter(7), yodlmacros(7), yodlmanpage(7), yodlpost(1), yodlstriproff(1), yodltables(7), yodlverbinsert(1).

BUGS

-

AUTHOR

Frank B. Brokken (f.b.brokken@rug.nl),